Package

## Class VideoEventListener

- All Implemented Interfaces:

      public abstract class VideoEventListener

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VideoEventListener()` |

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `Unit` | `onVideoCompleted(InMobiNative ad)` | Called to notify that the video has finished playing.
    `Unit` | `onVideoSkipped(InMobiNative ad)` | Called to notify that the user has skipped video play.
    `Unit` | `onAudioStateChanged(InMobiNative inMobiNative, Boolean isMuted)` | Called to notify when media audio state changes.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VideoEventListener

          VideoEventListener()

  - ### Method Detail

    - #### onVideoCompleted

           Unit onVideoCompleted(InMobiNative ad)

      Called to notify that the video has finished playing.

      Parameters:
        `ad` - Represents the InMobiNative ad

    - #### onVideoSkipped

           Unit onVideoSkipped(InMobiNative ad)

      Called to notify that the user has skipped video play.

      Parameters:
        `ad` - Represents the InMobiNative ad

    - #### onAudioStateChanged

           Unit onAudioStateChanged(InMobiNative inMobiNative, Boolean isMuted)

      Called to notify when media audio state changes.

      Parameters:
        `isMuted` - Represents whether media is muted or not.